LINUX.ORG.RU

GLIBC 2.1 не хочет ставиться!!!


0

0

Glibc 2.1 поставить хотел так вот когда я glibc 2.1 ставил он пишет warning: /etc/localtime created as /etc/localtime.rpmnew warning /etc/nsswitch.conf saved as /etc/nsswitch.conf.rpmsaved error 2 reading header: Успех unpacking of archive failed on file (null): 3: Успех ошибка: /mnt/hda2/glibc-2.1.1-6.i386.rpm не может быть установлен Когда хочу синсталировать glibc-profile-2.1.1-6.i386.rpm пишет unpacking of archive failed on file /usr/lib/libc_p.a: 1:Успех Анологично с glibc-devel-2.1.1-6.i386.rpm только там unpacking of archive failed on file /usr/lib/libc.a Подскажите что делать то чтобы GLIBC 2.1 поставить?

anonymous

Re: GLIBC 2.1 не хочет ставиться!!!

Видимо пакеты криво скачал, или rpm старый. Делай лучше upgrade на последнюю версию дистрибута.

Vinche ()

Re: GLIBC 2.1 не хочет ставиться!!!

не пакет не кривой! я его 2 раза по новому закачивал без разницы На других серверах смотрел файлы одинаковые по размеру так что я думаю не их кривизны Подскажи тогда как называется новый rpm чтобы его скачать да ни укажешь ли его версию?

anonymous ()

Re: GLIBC 2.1 не хочет ставиться!!!

rpm есть в дистрибуте RedHat'а, но он там сам в пакете rpm. Замкнутый цикл. Попробуй поискать его где-нибудь в tar.gz. На крайний случай можно скачать образы установочных дисков RedHat'а, он на них есть, им самим уже поставить самого себя.

Vinche ()

Re: GLIBC 2.1 не хочет ставиться!!!

я тут поискал rpm новый он версии 3 оказался я думаю это самая последняяя версия Поставил я его теперь не знаю как пользоваться я ведь старым тем пользовался через специальное меню в редхете там контрольная панель--> управление пакетами Так вот как на нее нажал с новым установленым rpm она теперь не запускается Не знаю как ссылку на кнопку (управление пакетами) теперь к новому rpm првинтить может кто знает? или хотя бы скажите по русски как в командной строке пакет устанвить с расширением rpm?

anonymous ()

Re: GLIBC 2.1 не хочет ставиться!!!

Погляди /usr/doc/HOWTO/RPM-HOWTO, man rpm. По видимому, тебе понадобится опция --force. Можно кстати в mc в него залезать и смотреть всякую информацию о пакете.

Vinche ()

Re: GLIBC 2.1 не хочет ставиться!!!

Забыл сказать, видимо ручками придется ставить пакеты, то бишь как положено. А если очень влом, то в последнем RedHat'е есть пакет gnorpm для работы с пакетами только мышкой.

Vinche ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.